%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name ffi

Summary: Ruby FFI
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.9.8
Release: 4%{?dist}
Group: Development/Languages
License: BSD
URL: http://wiki.github.com/ffi/ffi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby >= 1.8.7
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby FFI library.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%check
%{?scl:scl enable %{scl} - << \EOF}
pushd .%{gem_instdir}
make -f libtest/GNUmakefile
rspec -I$(dirs +1)%{gem_extdir_mri} spec
popd
%{?scl:EOF}

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/README.md
%{gem_instdir}/spec
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/ffi.gemspec
%doc %{gem_instdir}/gen
%doc %{gem_instdir}/libtest

%changelog
* Thu Sep 10 2015 Satoe Imaishi <simaishi@redhat.com> - 1.9.8-4
- Follow ruby packaging guideline to build/install

* Wed Aug 26 2015 Satoe Imaishi <simaishi@redhat.com> - 1.9.8-3
- Copy .so to extensions directory

* Fri Aug 21 2015 Satoe Imaishi <simaishi@redhat.com> - 1.9.8-2
- Rebuild for rh-ruby22

* Mon Mar 30 2015 Joe VLcek<jvlcek@redhat.com> - 1.9.8-1
- Update to 1.9.8

* Wed Dec 10 2014 Joe VLcek <jvlcek@redhat.com> - 1.9.3-3
- Use gem_extdir_mri macro

* Fri Dec 05 2014 Joe VLcek <jvlcek@redhat.com> - 1.9.3-2
- Remove the rubyabi macro

* Wed Jul 09 2014 Joe Rafaniello <jrafanie@redhat.com> - 1.9.3-1
- Update to 1.9.3.

* Fri May 17 2013 Steve Linabery <slinaber@redhat.com> - 1.3.1-2
- Regenerate spec with gem2rpm due to bad path for ffi_c.so

* Tue Feb 26 2013 Steve Linabery <slinaber@redhat.com> - 1.3.1-1
- Initial package
